org.icefaces.ace.component.datetimeentry

## Class DateTimeEntry

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.icefaces.ace.component.datetimeentry.DateTimeEntryBase
          - - org.icefaces.ace.component.datetimeentry.DateTimeEntry

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IDateTimeEntry, org.icefaces.component.Focusable

      public class DateTimeEntry
      extends DateTimeEntryBase
      implements org.icefaces.component.Focusable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.datetimeentry.DateTimeEntryBase

      `DateTimeEntryBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INPUT_STYLE_CLASS`
    `static java.lang.String` | `POPUP_ICON`

    - ### Fields inherited from class org.icefaces.ace.component.datetimeentry.DateTimeEntryBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Locale` | `calculateLocale(javax.faces.context.FacesContext facesContext)`
    `java.util.TimeZone` | `calculateTimeZone()`
    `protected javax.faces.context.FacesContext` | `getFacesContext()`
    `java.lang.String` | `getFocusedElementId()`
    `boolean` | `hasTime()`
    `boolean` | `isPopup()`
    `boolean` | `isSingleSubmit()` Return the value of the `singleSubmit` property.
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `validate(javax.faces.context.FacesContext context)`

    - ### Methods inherited from class org.icefaces.ace.component.datetimeentry.DateTimeEntryBase

      `addClientBehavior, getAccesskey, getButtonText, getDefaultEventName, getDefaultExecute, getDefaultRender, getEffect, getEffectDuration, getEventNames, getFamily, getIndicatorPosition, getLabel, getLabelPosition, getLeftMonthOffset, getListenerArgument, getLocale, getMaxdate, getMaxHour, getMaxlength, getMaxMinute, getMaxSecond, getMindate, getMinHour, getMinMinute, getMinSecond, getOptionalIndicator, getPages, getPattern, getPopupIcon, getRequiredIndicator, getSelectableDateRanges, getShowOn, getSize, getStepHour, getStepMinute, getStepSecond, getStyle, getStyleClass, getTabindex, getTimeZone, getTitle, getWidgetVar, getYearRange, isDisabled, isDisableHoverStyling, isLenientParsing, isNavigator, isPopupIconOnly, isPropertySet, isReadonly, isReadOnlyInputText, isRenderAsPopup, isSelectOtherMonths, isShowButtonPanel, isShowOtherMonths, isShowWeek, isTimeOnly, isTodayNowButtonsAlsoSelect, setAccesskey, setButtonText, setDisabled, setDisableHoverStyling, setEffect, setEffectDuration, setIndicatorPosition, setLabel, setLabelPosition, setLeftMonthOffset, setLenientParsing, setLocale, setMaxdate, setMaxHour, setMaxlength, setMaxMinute, setMaxSecond, setMindate, setMinHour, setMinMinute, setMinSecond, setNavigator, setOptionalIndicator, setPages, setPattern, setPopupIcon, setPopupIconOnly, setReadonly, setReadOnlyInputText, setRenderAsPopup, setRequiredIndicator, setSelectableDateRanges, setSelectOtherMonths, setShowButtonPanel, setShowOn, setShowOtherMonths, setShowWeek, setSingleSubmit, setSize, setStepHour, setStepMinute, setStepSecond, setStyle, setStyleClass, setTabindex, setTimeOnly, setTimeZone, setTitle, setTodayNowButtonsAlsoSelect, setValueExpression, setWidgetVar, setYearRange`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### INPUT_STYLE_CLASS

          public static final java.lang.String INPUT_STYLE_CLASS

      See Also:
        Constant Field Values

    - #### POPUP_ICON

          public static java.lang.String POPUP_ICON

  - ### Constructor Detail

    - #### DateTimeEntry

          public DateTimeEntry()

  - ### Method Detail

    - #### calculateLocale

          public java.util.Locale calculateLocale(javax.faces.context.FacesContext facesContext)

    - #### calculateTimeZone

          public java.util.TimeZone calculateTimeZone()

    - #### isPopup

          public boolean isPopup()

    - #### hasTime

          public boolean hasTime()

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### validate

          public void validate(javax.faces.context.FacesContext context)

      Overrides:
        `validate` in class `javax.faces.component.UIInput`

    - #### getFacesContext

          protected javax.faces.context.FacesContext getFacesContext()

      Overrides:
        `getFacesContext` in class `javax.faces.component.UIComponentBase`

    - #### isSingleSubmit

          public boolean isSingleSubmit()

      Description copied from class: `DateTimeEntryBase`

      Return the value of the `singleSubmit` property.

      Contents: When singleSubmit is true, changing the value of this component will submit and execute this component only (equivalent to <f:ajax execute="@this" render="@all">). When singleSubmit is false, no submit will occur. <ace:ajax> submit events have precedence over singleSubmit. Default = 'false'.

      Specified by:
        `isSingleSubmit` in interface `IDateTimeEntry`
      Overrides:
        `isSingleSubmit` in class `DateTimeEntryBase`

    - #### getFocusedElementId

          public java.lang.String getFocusedElementId()

      Specified by:
        `getFocusedElementId` in interface `org.icefaces.component.Focusable`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.